For the complete documentation index, see llms.txt. This page is also available as Markdown.

Text Template

Use the VARIO Cloud API to create and manage text templates, localized content, document positions, UI hints, sales channels, and reusable text blocks.

Textbausteine

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

Bezeichnung des Bausteins

templateTypestring · enumOptional

Verwendungszweck des Templates

Default: AUTOMATICPossible values:
accountIdinteger · int64Optional

account für den diese Templates gelten

articleIdinteger · int64Optional

article für den diese Templates gelten

transferableIntoSubsequentDocumentsbooleanOptional

Erzeugte DocumentTexts beim Übergang in Folgebelege übernehmen?

Default: null
separateLinebooleanOptional

Wird eine eigene DocumentLine für den Baustein angelegt?

Default: null
positionstring · enumOptional

Position für den erzeugten DocumentText

Possible values:
activebooleanRead-onlyOptional

ist dieser Baustein aktiv?

Default: true
resolveContentInFollowUpDocumentbooleanOptional

Soll der Inhalt des Textbausteins erst bei Belegübernahme gezogen werden?

Default: false
get/erp/text-templates/{id}
GET /erp/text-templates/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "templateType": "AUTOMATIC",
  "uiHintTypes": [
    "UI_HINT_MASTER_DATA"
  ],
  "accountId": 1,
  "articleId": 1,
  "targetDocumentTypes": [],
  "sourceDocumentTypes": [],
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "transferableIntoSubsequentDocuments": true,
  "separateLine": true,
  "position": "HEADER_TEXT",
  "active": true,
  "languageSpecificContents": [],
  "resolveContentInFollowUpDocument": false
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

Bezeichnung des Bausteins

templateTypestring · enumOptional

Verwendungszweck des Templates

Default: AUTOMATICPossible values:
accountIdinteger · int64Optional

account für den diese Templates gelten

articleIdinteger · int64Optional

article für den diese Templates gelten

transferableIntoSubsequentDocumentsbooleanOptional

Erzeugte DocumentTexts beim Übergang in Folgebelege übernehmen?

Default: null
separateLinebooleanOptional

Wird eine eigene DocumentLine für den Baustein angelegt?

Default: null
positionstring · enumOptional

Position für den erzeugten DocumentText

Possible values:
activebooleanRead-onlyOptional

ist dieser Baustein aktiv?

Default: true
resolveContentInFollowUpDocumentbooleanOptional

Soll der Inhalt des Textbausteins erst bei Belegübernahme gezogen werden?

Default: false
Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

Bezeichnung des Bausteins

templateTypestring · enumOptional

Verwendungszweck des Templates

Default: AUTOMATICPossible values:
accountIdinteger · int64Optional

account für den diese Templates gelten

articleIdinteger · int64Optional

article für den diese Templates gelten

transferableIntoSubsequentDocumentsbooleanOptional

Erzeugte DocumentTexts beim Übergang in Folgebelege übernehmen?

Default: null
separateLinebooleanOptional

Wird eine eigene DocumentLine für den Baustein angelegt?

Default: null
positionstring · enumOptional

Position für den erzeugten DocumentText

Possible values:
activebooleanRead-onlyOptional

ist dieser Baustein aktiv?

Default: true
resolveContentInFollowUpDocumentbooleanOptional

Soll der Inhalt des Textbausteins erst bei Belegübernahme gezogen werden?

Default: false
put/erp/text-templates/{id}
PUT /erp/text-templates/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 389

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "templateType": "AUTOMATIC",
  "uiHintTypes": [
    "UI_HINT_MASTER_DATA"
  ],
  "accountId": 1,
  "articleId": 1,
  "targetDocumentTypes": [],
  "sourceDocumentTypes": [],
  "salesChannelRef": {
    "id": "text"
  },
  "transferableIntoSubsequentDocuments": true,
  "separateLine": true,
  "position": "HEADER_TEXT",
  "languageSpecificContents": [],
  "resolveContentInFollowUpDocument": false
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "templateType": "AUTOMATIC",
  "uiHintTypes": [
    "UI_HINT_MASTER_DATA"
  ],
  "accountId": 1,
  "articleId": 1,
  "targetDocumentTypes": [],
  "sourceDocumentTypes": [],
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "transferableIntoSubsequentDocuments": true,
  "separateLine": true,
  "position": "HEADER_TEXT",
  "active": true,
  "languageSpecificContents": [],
  "resolveContentInFollowUpDocument": false
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/text-templates/{id}
DELETE /erp/text-templates/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

deaktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

Bezeichnung des Bausteins

templateTypestring · enumOptional

Verwendungszweck des Templates

Default: AUTOMATICPossible values:
accountIdinteger · int64Optional

account für den diese Templates gelten

articleIdinteger · int64Optional

article für den diese Templates gelten

transferableIntoSubsequentDocumentsbooleanOptional

Erzeugte DocumentTexts beim Übergang in Folgebelege übernehmen?

Default: null
separateLinebooleanOptional

Wird eine eigene DocumentLine für den Baustein angelegt?

Default: null
positionstring · enumOptional

Position für den erzeugten DocumentText

Possible values:
activebooleanRead-onlyOptional

ist dieser Baustein aktiv?

Default: true
resolveContentInFollowUpDocumentbooleanOptional

Soll der Inhalt des Textbausteins erst bei Belegübernahme gezogen werden?

Default: false
put/erp/text-templates/{id}/deactivate
PUT /erp/text-templates/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "templateType": "AUTOMATIC",
  "uiHintTypes": [
    "UI_HINT_MASTER_DATA"
  ],
  "accountId": 1,
  "articleId": 1,
  "targetDocumentTypes": [],
  "sourceDocumentTypes": [],
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "transferableIntoSubsequentDocuments": true,
  "separateLine": true,
  "position": "HEADER_TEXT",
  "active": true,
  "languageSpecificContents": [],
  "resolveContentInFollowUpDocument": false
}

aktiviert eine bestehende Resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

Bezeichnung des Bausteins

templateTypestring · enumOptional

Verwendungszweck des Templates

Default: AUTOMATICPossible values:
accountIdinteger · int64Optional

account für den diese Templates gelten

articleIdinteger · int64Optional

article für den diese Templates gelten

transferableIntoSubsequentDocumentsbooleanOptional

Erzeugte DocumentTexts beim Übergang in Folgebelege übernehmen?

Default: null
separateLinebooleanOptional

Wird eine eigene DocumentLine für den Baustein angelegt?

Default: null
positionstring · enumOptional

Position für den erzeugten DocumentText

Possible values:
activebooleanRead-onlyOptional

ist dieser Baustein aktiv?

Default: true
resolveContentInFollowUpDocumentbooleanOptional

Soll der Inhalt des Textbausteins erst bei Belegübernahme gezogen werden?

Default: false
put/erp/text-templates/{id}/activate
PUT /erp/text-templates/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "templateType": "AUTOMATIC",
  "uiHintTypes": [
    "UI_HINT_MASTER_DATA"
  ],
  "accountId": 1,
  "articleId": 1,
  "targetDocumentTypes": [],
  "sourceDocumentTypes": [],
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "transferableIntoSubsequentDocuments": true,
  "separateLine": true,
  "position": "HEADER_TEXT",
  "active": true,
  "languageSpecificContents": [],
  "resolveContentInFollowUpDocument": false
}

Create new Resource

post
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

Bezeichnung des Bausteins

templateTypestring · enumOptional

Verwendungszweck des Templates

Default: AUTOMATICPossible values:
accountIdinteger · int64Optional

account für den diese Templates gelten

articleIdinteger · int64Optional

article für den diese Templates gelten

transferableIntoSubsequentDocumentsbooleanOptional

Erzeugte DocumentTexts beim Übergang in Folgebelege übernehmen?

Default: null
separateLinebooleanOptional

Wird eine eigene DocumentLine für den Baustein angelegt?

Default: null
positionstring · enumOptional

Position für den erzeugten DocumentText

Possible values:
activebooleanRead-onlyOptional

ist dieser Baustein aktiv?

Default: true
resolveContentInFollowUpDocumentbooleanOptional

Soll der Inhalt des Textbausteins erst bei Belegübernahme gezogen werden?

Default: false
Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

labelstringRequired

Bezeichnung des Bausteins

templateTypestring · enumOptional

Verwendungszweck des Templates

Default: AUTOMATICPossible values:
accountIdinteger · int64Optional

account für den diese Templates gelten

articleIdinteger · int64Optional

article für den diese Templates gelten

transferableIntoSubsequentDocumentsbooleanOptional

Erzeugte DocumentTexts beim Übergang in Folgebelege übernehmen?

Default: null
separateLinebooleanOptional

Wird eine eigene DocumentLine für den Baustein angelegt?

Default: null
positionstring · enumOptional

Position für den erzeugten DocumentText

Possible values:
activebooleanRead-onlyOptional

ist dieser Baustein aktiv?

Default: true
resolveContentInFollowUpDocumentbooleanOptional

Soll der Inhalt des Textbausteins erst bei Belegübernahme gezogen werden?

Default: false
post/erp/text-templates
POST /erp/text-templates HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 389

{
  "version": "text",
  "info": {},
  "id": "text",
  "label": "text",
  "templateType": "AUTOMATIC",
  "uiHintTypes": [
    "UI_HINT_MASTER_DATA"
  ],
  "accountId": 1,
  "articleId": 1,
  "targetDocumentTypes": [],
  "sourceDocumentTypes": [],
  "salesChannelRef": {
    "id": "text"
  },
  "transferableIntoSubsequentDocuments": true,
  "separateLine": true,
  "position": "HEADER_TEXT",
  "languageSpecificContents": [],
  "resolveContentInFollowUpDocument": false
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "label": "text",
  "templateType": "AUTOMATIC",
  "uiHintTypes": [
    "UI_HINT_MASTER_DATA"
  ],
  "accountId": 1,
  "articleId": 1,
  "targetDocumentTypes": [],
  "sourceDocumentTypes": [],
  "salesChannelRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "transferableIntoSubsequentDocuments": true,
  "separateLine": true,
  "position": "HEADER_TEXT",
  "active": true,
  "languageSpecificContents": [],
  "resolveContentInFollowUpDocument": false
}
get
Responses
200

OK

application/json
and
get/erp/text-templates/variables
GET /erp/text-templates/variables HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[
  {
    "_type": "text",
    "definition": "[Circular Reference]",
    "value": "[Circular Reference]"
  },
  {
    "key": "text",
    "attribute": "text",
    "path": "text",
    "displayName": "text",
    "displayNameOverride": false,
    "groupDisplayName": "text",
    "parentDisplayName": "text",
    "resultable": true,
    "filterable": true,
    "sortable": true,
    "visible": true,
    "functions": [
      "text"
    ],
    "sortDirection": "text",
    "constraint": {
      "minLength": 1,
      "maxLength": 1,
      "minValue": 1,
      "includeMinValue": true,
      "maxValue": 1,
      "includeMaxValue": true,
      "notNull": false,
      "notBlank": true,
      "digitsFraction": 1
    },
    "dataType": {
      "identifier": "text",
      "jsType": "text",
      "objectRefIdentifier": "text",
      "filterOptions": {
        "filterValues": [
          "text"
        ],
        "filterDialog": {
          "empty": true,
          "array": true,
          "null": true,
          "object": true,
          "float": true,
          "missingNode": true,
          "nodeType": "ARRAY",
          "valueNode": true,
          "container": true,
          "integralNumber": true,
          "floatingPointNumber": true,
          "string": true,
          "pojo": true,
          "short": true,
          "int": true,
          "long": true,
          "double": true,
          "bigDecimal": true,
          "bigInteger": true,
          "boolean": true,
          "binary": true,
          "number": true,
          "embeddedValue": true
        },
        "multipleChoice": false
      },
      "functions": [
        "text"
      ],
      "predicateOperations": [
        "AND"
      ]
    },
    "dataTypeIdentifier": "text",
    "modelType": "STATIC",
    "entityIdentifier": "text",
    "referencedEntityIdentifier": "text",
    "headers": []
  }
]

Last updated

Was this helpful?